Skip to Content
Products

Create Product

Access

Member of the organization with this permission:

  • products:update

An API key with scopes also needs the permission among its scopes.

POST
/orgs/{organizationId}/products

Creates a new product.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Request Body

application/json
  1. body
name*string
description*string|null
amountPerUnit*number
ledger*number|null
taxPercentage*number
taxRegime?string
Value in"STANDARD""EU_REVERSE_CHARGE""CO_CONTRACTOR""INTRA_COMMUNITY_SUPPLY""EXPORT""EXEMPT"
disabled?boolean
Defaultfalse
guardCustomerLedgerBalance?boolean
configuredActions?array<>
Default[]
metadata?
Default{}
customFields?

Response Body

OK

application/json
  1. response
Example Request
curl -X POST 'https://api.tillor.eu/orgs//products' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "description": "string",  "amountPerUnit": 0,  "ledger": 0,  "taxPercentage": 0}'
Example Response
null